=== graphics/titlepic/Makefile ===
titlepic: freedoom.gif freedm.gif ultdoom.gif

freedoom.gif: titlepic.gif
	./create_caption Freedoom $@

freedm.gif: titlepic.gif
	./create_caption FreeDM $@

ultdoom.gif: titlepic.gif
	./create_caption "\"Ultimate Freedoom\"" $@

clean:
	rm -f freedm.gif freedoom.gif ultdoom.gif

.PHONY: clean
