=== lumps/dmxgus/Makefile ===
ultramid.ini : gen-ultramid config.py stats.py
	./gen-ultramid $@

clean:
	rm -f ultramid.ini
