=== debian/changelog ===
freedoom (0.8-1) unstable; urgency=low

  [ Jon Dowland ]
  * convert debian/copyright to DEP-5 format.
  * remove deprecated dm-upload-allowed from control file.

  [ Fabian Greffrath ]
  * New upstream release.
  * Fix desktop-entry-lacks-keywords-entry.
  * Fix vcs-field-not-canonical.
  * Prefer prboom-plus over other alternatives providing boom-engine.
  * Add Multi-Arch: foreign fields.
  * Display the Debian package version number in the TITLEPIC caption.
  * Export the Debian package version number in debian/rules to correctly
    fill the freedoom.lmp and freedm.lmp lumps.
  * The project has moved from sourceforge to github: change the Homepage
    field, and the debian/copyright and debian/watch files accordingly.
  * Adapt to renamed upstream documentation files.
  * Remove some more Python byte-code in the clean rule.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 06 Jan 2014 10:19:11 +0100
