=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/;s/^v//" \
http://githubredir.debian.net/github/chungy/freedoom/ \
 v(.*).tar.gz
