=== lumps/genmidi/Makefile ===

genmidi.lmp: config.py instruments/*
	./mkgenmidi $@

clean:
	rm -f genmidi.lmp *.pyc
