=== debian/changelog ===
freedoom (0.9-1) unstable; urgency=medium

  * Imported Upstream version 0.9:
    + New file names no longer conflict with Doom's.
    + FreeDM and Phase 1 have grown out of the shadows of the project
      and have seen rapid advances.
    + New text font to replace the old one in all menus, in-game text,
      and status-bar HUD.
    + New zombie, shotgun zombie, and assault tripod sprites by a skilled
      pixel artist.
    + New sounds for the dark soldier.
    + More complete support for Final Doom mods, adding many more
      textures missing to support mods for both TNT: Evilution and
      The Plutonia Experiment.

  * Upstream now ships icons, manpages, desktop files, wrapper scripts and
    appdata files. Remove the local copies from the Debian packaging.
  * Build docs, add "Build-Depends: asciidoc, docbook-xsl, xsltproc",
    but run a2x with --no-xmllint to avoid even more Build-Depends.
  * Bump "Build-Depends: python (>= 2.4)" to "2.7".
  * Install IWAD files into /usr/share/games/doom.
  * Add compatibility symlinks for the old IWAD file names.
  * Fix upstream GIT repository location in debian/watch.
  * FreeDM is strictly Doom-compatible, so add "Provides: doom-wad"
    and "Depends: ... | doom-engine", thanks Mike Swanson (Closes: #762126).
  * Improve package descriptions based on the appdata files.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 22 Oct 2014 14:45:57 +0200
