=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
export VERSION

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)
export PATH

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- all doc \
		VERSION=$(VERSION)

override_dh_auto_install:
	dh_auto_install -- \
		prefix=/usr \
		bindir=/games \
		VERSION=$(VERSION)

override_dh_installdocs:
	dh_installdocs -A CREDITS *.html
