## freedoom 0.10.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001-2014
+# Copyright (c) 2001-2015
 # Contributors to the Freedoom project.  All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -48,6 +48,7 @@
 	$(MAKE) -C lumps/genmidi
 	$(MAKE) -C lumps/dmxgus
 	$(MAKE) -C lumps/textures
+	$(MAKE) -C bootstrap
 
 
 # this is a useless dependency to force builds
@@ -126,12 +127,14 @@
 		./lumps/freedm.lmp
 	-rmdir $(WADS)
 
+	$(MAKE) -C dist clean
 	$(MAKE) -C graphics/text clean
 	$(MAKE) -C graphics/titlepic clean
 	$(MAKE) -C lumps/cph/misc-lumps clean
 	$(MAKE) -C lumps/genmidi clean
 	$(MAKE) -C lumps/dmxgus clean
 	$(MAKE) -C lumps/textures clean
+	$(MAKE) -C bootstrap clean
 
 prefix?=/usr/local
 bindir?=/bin
