=== lumps/dmxgus/Makefile ===
--- 
+++ 
@@ -3,4 +3,4 @@
 
 clean:
 	rm -f ultramid.ini *.pyc
-
+	rm -fr __pycache__
