=== debian/changelog ===
freedoom (0.10.1-2) unstable; urgency=medium

  * Switch to Build-Depends: asciidoc-base from asciidoc.
  * Remove patch, asciidoc-base depends on libxml2-utils anyway.
  * Add Build-Depends: docbook-xml.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields to use secure URIs.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Jan 2017 11:10:12 +0100

freedoom (0.10.1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.1

 -- Fabian Greffrath <fabian@debian.org>  Sun, 24 Jan 2016 17:59:24 +0100

freedoom (0.10-1) unstable; urgency=medium

  * Imported Upstream version 0.10:
    + Brand new status bar.
    + New sprites for the serpent and orb monster.
    + New HUD graphics for the single- and double-barrel shotguns,
      missile launcher, and SKAG.
    + New pain sounds for many monsters and the player.
    + New maps in Phase 1 and Phase 2.

  * Update my e-mail address and Debian packaging copyright years
    in debian/control and debian/copyright.
  * Refresh patch.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 16 Dec 2015 21:37:11 +0100
