=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Fabian Greffrath <fabian+debian@greffrath.com>,
+ Fabian Greffrath <fabian@debian.org>,
  Jon Dowland <jmtd@debian.org>
 Build-Depends:
- asciidoc,
+ asciidoc-base,
  debhelper (>= 9),
  deutex,
  docbook-xsl,
+ docbook-xml,
  gsfonts,
  imagemagick,
  python (>= 2.7),
  xsltproc
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-games/freedoom
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freedoom.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/freedoom.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freedoom.git
 Homepage: http://freedoom.github.io/
 
 Package: freedm
